/* 
   $Id: nnmCandidate.cpp,v 1.1.1.1 2005/06/29 22:24:41 leggewie Exp $

   Copyright (C) 2001-2002 AXE,Inc. <sg@axe-inc.co.jp>

   This file is part of Nunome-Qtopia.

   Nunome-Qtopia is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   Nunome-Qtopia is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Nunome; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/* The candidate display widget */

#include	<qwidget.h>

#include	<stdio.h>

#include	"Nnm.h"
#include	"nnmCandidate.h"

#include	"moc_nnmCandidate.cpp"

nnmCandidate::nnmCandidate( QWidget *parent, const char *name )
			: QFrame( parent, name )
{
	setFixedSize( 18, 18 );
	setFrameStyle( Box | Plain );

	button = new QPushButton( this );
	button->setFixedSize( 17, 17 );
	button->setFlat( true );

	init();
}

void	nnmCandidate::init( void )
{
	button->setText( "" );

	suitable = 0;
	memset( list, 0, sizeof ( list ) );
}

bool	nnmCandidate::isNull( void )
{
	return suitable == 0;
}

void	nnmCandidate::setSuitable( ulong data )
{
	button->setText( QString( QChar( ( short )data ) ) );

	suitable = data;
}
