/* 
   $Id: nnmStub.h,v 1.1.1.1 2005/06/29 22:24:41 leggewie Exp $

   Copyright (C) 2001-2002 AXE,Inc. <sg@axe-inc.co.jp>

   This file is part of Nunome-Qtopia.

   Nunome-Qtopia is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   Nunome-Qtopia is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Nunome; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef NNM_STUB_H
#define NNM_STUB_H

#include <stdio.h>
#include "Nnm.h"
#include "NnmFeature.h"

#define NNMSERVER "nnmsrv"

extern void NnmStubInit(FILE *op, FILE *ip);
extern void NnmStubSetDictionaryFile(char *fn, int user);
extern void NnmStubRecognizeCharInfo(NnmRawCharInfoRec *charInfo,
  int num_cands);
extern void NnmStubSampleAppendFile(NnmRawCharInfoRec *rawCharInfo,
  ulong code, char *fn);
extern ulong NnmStubResultRecognizeCharInfo(ulong *cands, int num_cands,
  NnmFeatureRec *fv);
extern void NnmStubUpdateUserDictionary(long code, NnmFeatureRec *fv);

#endif
