/* 
   $Id: nnmCandidate.h,v 1.1.1.1 2005/06/29 22:24:41 leggewie Exp $

   Copyright (C) 2001-2002 AXE,Inc. <sg@axe-inc.co.jp>

   This file is part of Nunome-Qtopia.

   Nunome-Qtopia is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   Nunome-Qtopia is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Nunome; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef NNM_CANDIDATE_H
#define NNM_CANDIDATE_H

#include	<qpixmap.h>
#include	<qframe.h>
#include	<qpushbutton.h>

#include	"Nnm.h"
#include	"NnmFeature.h"

class nnmCandidate : public QFrame
{
Q_OBJECT

public:
	nnmCandidate( QWidget *parent = 0, const char *name = 0 );

	void		init( void );
	bool		isNull( void );
	void		setSuitable( ulong data );

	ulong		suitable;
	ulong		list[MAX_CANDIDATE_CATEGORY];
	NnmFeatureRec	feature;

	QPushButton	*button;

private:
};

#endif // NNM_CANDIDATE_H

