/* 
   $Id: nnmSymbol.h,v 1.1.1.1 2005/06/29 22:24:42 leggewie Exp $

   Copyright (C) 2001-2002 AXE,Inc. <sg@axe-inc.co.jp>

   This file is part of Nunome-Qtopia.

   Nunome-Qtopia is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   Nunome-Qtopia is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Nunome; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef NNM_SYMBOL_H
#define NNM_SYMBOL_H

#include	<qframe.h>
#include	<qpushbutton.h>
#include	"Nnm.h"

#define		ROWS_SYMBOL	4
#define		COLS_SYMBOL	8
#define		SYMBOL_IN_PAGE	( ROWS_SYMBOL * COLS_SYMBOL )
#define		MAX_SYMBOL_PAGE	11

class	nnmSymbol : public QFrame
{
Q_OBJECT

public:
	nnmSymbol( QWidget *parent = 0, const char *name = 0, WFlags f = 0 );

	void		start( void );

	ulong		code;

private slots:
	void		selection( int pos );
	void		showPage( void );
	void		prevPage( void );
	void		nextPage( void );
	void		endSymbol( void );

signals:
	void		selected( void );

private:
	QPushButton	*symbolButton[SYMBOL_IN_PAGE];
	QPushButton	*dispCode;
	int		page;
};

#endif // NNM_SYMBOL_H

