/* 
   $Id: nunomeImpl.h,v 1.1.1.1 2005/06/29 22:24:43 leggewie Exp $

   Copyright (C) 2001-2002 AXE,Inc. <sg@axe-inc.co.jp>

   This file is part of Nunome-Qtopia.

   Nunome-Qtopia is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   Nunome-Qtopia is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with Nunome; see the file COPYING.   If not, write to
   the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef	NUNOMEIMPL_H
#define	NUNOMEIMPL_H

#include	<inputmethodinterface.h>

class	Nunome;
class	QPixmap;

class	NunomeImpl : public InputMethodInterface
{
public:
	NunomeImpl();
	virtual	~NunomeImpl();

	QRESULT	queryInterface( const QUuid&, QUnknownInterface** );

	Q_REFCOUNT

	virtual	QWidget	*inputMethod( QWidget *parent, Qt::WFlags f );
	virtual	void	resetState( void );
	virtual	QPixmap	*icon( void );
	virtual	QString	name( void );
	virtual	void	onKeyPress( QObject *receiver, const char *slot );

private:
	Nunome		*input;
	QPixmap		*icn;
	ulong		ref;
};

#endif
